Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners
Class RegistryUtil

    java.lang.Object
      org.jboss.soa.esb.listeners.RegistryUtil

    public class RegistryUtil

extends java.lang.Object

Extraction of common registry utility methods.

Author:
  kevin

Constructor Summary
`RegistryUtil()`

Method Summary
`static EPRManager` | `getEprManager()` Get the EPR manager.
`static java.util.List<EPR>` | `getEprs(java.lang.String category, java.lang.String name)` Get the EPRs associated with the specified service.
`static void` | `register(ConfigTree config, EPR epr)` Register an EPR in the registry.
`static void` | `unregister(java.lang.String category, java.lang.String name, EPR epr)` Unregister the EPR from the registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryUtil

    public RegistryUtil()

Method Detail

### getEprManager

    public static EPRManager getEprManager()

  Get the EPR manager.

  Returns:
    The EPR manager.

### register

    public static void register(ConfigTree config,
                                EPR epr)
                         throws RegistryException

  Register an EPR in the registry.

  Parameters:
    `config` - a config tree containing the deployment-configuration of the service.
    `epr` - the epr (EndPoint Reference) of the service.
  Throws:
    `RegistryException` - for registration errors.

### unregister

    public static void unregister(java.lang.String category,
                                  java.lang.String name,
                                  EPR epr)

  Unregister the EPR from the registry.

  Parameters:
    `category` - The category name of the service
    `name` - The name of the service
    `epr` - The service EPR.

### getEprs

    public static java.util.List<EPR> getEprs(java.lang.String category,
                                              java.lang.String name)
                                       throws RegistryException,
                                              ServiceNotFoundException

  Get the EPRs associated with the specified service.

  Parameters:
    `category` - The category name of the service
    `name` - The name of the service
  Returns:
    The collection of EPRs associated with the specified service.
  Throws:
    `RegistryException` - for registration errors.
    `ServiceNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD